Bug 63754 - Behaviour after uninstalling the Java RE
Summary: Behaviour after uninstalling the Java RE
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-20 15:00 UTC by swaush
Modified: 2013-04-21 15:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description swaush 2013-04-20 15:00:42 UTC
When starting LibreOffice after uninstalling the Java RE it produces the same error message window 10-15 times:

"LibreOffice requires a Java runtime environment (JRE) to perform this task. The selected JRE is defective. Please select another version or install a new JRE and select it under Tools - Options - LibreOffice - Java."

Not only is this annoying, also the location of the options is not correct.
Comment 1 Joel Madero 2013-04-20 18:35:49 UTC
Need more info - what operating system are you running off of? And the other error, that's my mistake, I need to update the error code so I will investigate.


marking as NEEDINFO, let us know what operating system you're running and mark as UNCONFIRMED, I'll then try to triage the bug.


Thanks
Comment 2 swaush 2013-04-20 19:57:55 UTC
Windows 7 64 bit
There were lots of popups when opening a document; when running LibreOffice directly it was less.
Comment 3 V Stuart Foote 2013-04-21 04:33:52 UTC
So let us know what happens if you open Tools -> Options -> Advanced and uncheck the radio button for "Use a Java runtime environment".

Also, what "bundled" extensions did you enable. And do you have any 3rd party extensions that show up in Extension manager, if so please list them so we can advise about their need for a Java JRE.
Comment 4 Joel Madero 2013-04-21 06:19:21 UTC
So I just did a test:

Installed LibreOffice 4.0.2.2 release on Windows XP, did standard install with JRE installed

Uninstalled JRE

Ran LibreOffice

No problems at all for me, worked fine. This makes me suspect it's extensions of some kind tricking your system. So solution:

Backup and then delete your profile, uninstall LibreOffice entirely, ensure that everything JRE related is gone. Reinstall LibreOffice.

I'm leaving this as UNCONFIRMED but please let us know if that solves the problem.
Comment 5 swaush 2013-04-21 12:12:31 UTC
When unchecking the "use Java runtime environment" option it asks me once to activate Java after starting the writer.
Just went through the extensions. Removing "Instant Word Count" extension solves the problem, adding it again brings the popup windows back.
Thanks a lot for your help
Comment 6 V Stuart Foote 2013-04-21 15:26:43 UTC
Have a look at the Instant Word Count extension you were using. Looks a bug fix build was released 16 April 2013-- http://extensions.libreoffice.org/extension-center/instant-word-count. 

Suggest you open an issue against just that extension if you are already on the Instant Word count 20130416.0.1 release.

Marking this as resolved not our bug, but please reopen if you find Java JRE removal causes additional problems for you with LibreOffice 4.0.x